Mailinglist Archive: opensuse-updates (174 mails)

< Previous Next >
openSUSE-RU-2015:2105-1: moderate: Recommended update for frei0r-plugins and libmlt
openSUSE Recommended Update: Recommended update for frei0r-plugins and libmlt
______________________________________________________________________________

Announcement ID: openSUSE-RU-2015:2105-1
Rating: moderate
References: #930616 #954841
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that has two recommended fixes can now be
installed.

Description:


This update for frei0r-plugins and libmlt fixes the following issues:

- frei0r-plugins:
+ Build against opencv-qt5-devel on Leap as well, Leap comes with the
KF5/Qt5 based kdenlive (boo#930616)

- libmlt:
+ Build against Qt5 on Leap as well, the included kdenlive 15.08.1
(which is KF5/Qt5 based) will crash on startup otherwise (boo#930616)

- Restore pkgconfig(libavdevice), multiple providers should be solved with
Prefer: pkg in prjconf

- Build with ffmpeg on Leap and Tumbleweed by default to make it a bit
more useful (boo#954841)

- Replace pkgconfig(libavdevice) BuildRequires with libavdevice-devel to
prevent an unresolveable choice between that and libavdevice-libav-devel

- Build against Qt5 on Leap as well, the included kdenlive 15.08.1 (which
is KF5/Qt5 based) will crash on startup otherwise (boo#930616)


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2015-804=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

frei0r-plugins-1.4-7.1
frei0r-plugins-debuginfo-1.4-7.1
frei0r-plugins-debugsource-1.4-7.1
frei0r-plugins-devel-1.4-7.1
libmlt++-devel-0.9.8-7.1
libmlt++3-0.9.8-7.1
libmlt++3-debuginfo-0.9.8-7.1
libmlt-debugsource-0.9.8-7.1
libmlt-devel-0.9.8-7.1
libmlt6-0.9.8-7.1
libmlt6-debuginfo-0.9.8-7.1
libmlt6-modules-0.9.8-7.1
libmlt6-modules-debuginfo-0.9.8-7.1
melt-0.9.8-7.1
melt6-0.9.8-7.1
melt6-debuginfo-0.9.8-7.1
python-mlt-0.9.8-7.1
python-mlt-debuginfo-0.9.8-7.1

- openSUSE Leap 42.1 (noarch):

libmlt6-data-0.9.8-7.1


References:

https://bugzilla.suse.com/930616
https://bugzilla.suse.com/954841


< Previous Next >
This Thread
  • No further messages